Get linked terminal application | Moov Documentation

Get linked terminal application beta

Verifies if a specific Terminal Application is linked to an Account. This endpoint acts as a validation check for the link's existence.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/terminal-applications.read scope.

GET

/accounts/{accountID}/terminal-applications/{terminalApplicationID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications/{terminalApplicationID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accountTerminalApplications.get({
    accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->accountTerminalApplications->get(
    accountID: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e',
    terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);

if ($response->accountTerminalApplication !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetAccountTerminalApplicationResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetAccountTerminalApplicationResponse res = sdk.accountTerminalApplications().get()
                .accountID("76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .call();

if (res.accountTerminalApplication().isPresent()) {
            System.out.println(res.accountTerminalApplication().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.account_terminal_applications.get(account_id="76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e", terminal_application_id="12345678-1234-1234-1234-123456789012")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.account_terminal_applications.get(account_id: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e', terminal_application_id: '12345678-1234-1234-1234-123456789012')

unless res.account_terminal_application.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.AccountTerminalApplications.GetAsync(
    accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
    terminalApplicationID: "12345678-1234-1234-1234-123456789012"
);

// handle response

The request completed successfully.

Example

Describes link between an account and a terminal application.

{
  "accountID": "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
  "terminalApplicationID": "12345678-1234-1234-1234-123456789012"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Describes link between an account and a terminal application.

ID of the merchant account.

ID of the terminal application.